// Might wanna move stuff form `void_poem.rs` into here...
use super::super::utils::user_prefs::ThemedComponent;
use crate::utils::prop_structs::ContentProps;
use dioxus::prelude::*;

pub fn RenderContent(props: ContentProps) -> Element {
    let (user_theme, user_font) = props.user_prefs.get_pref_classes(ThemedComponent::Card);
    let content = props.content;
    return rsx! {
        div { class: "flex p-4 md:pl-8 md:pr-8 ml-4 mr-4 text-md text-center ring-4 {user_theme} {user_font}",
            dangerous_inner_html: "{content}",
        }
    };
}
